/*------------------------------------
フッター用CSS
------------------------------------*/
.footer {
  overflow: hidden;
  background-color: var(--color-main);
  position: relative;
}
footer .footer-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 0;
}
footer .footer-inner {
  position: relative;
  z-index: 1;
  padding-top: 140px;
  width: 90%;
  margin: 0 auto;
}
footer .entry-info .entry-text {
  color: #fff;
  font-size: 2.2rem;
  font-weight: 700;
  line-height: 1;
  width: fit-content;
  margin: 0 auto;
  letter-spacing: 0.2rem;
  position: relative;
  padding: 10px 0
}
footer .entry-info .entry-text::before,
footer .entry-info .entry-text::after {
  content: "";
  width: 2px;
  height: 60px;
  background-color: #fff;
  position: absolute;
  top: 50%;
}
footer .entry-info .entry-text::before {
  left: -50px;
  transform: translateY(-50%) rotate(-20deg);
}
footer .entry-info .entry-text::after {
  right: -50px;
  transform: translateY(-50%) rotate(20deg);
}
/* 採用情報 */
.entry-info-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 20px auto 0;
  padding: 0 20px;
  width: 100%;
  max-width: 1000px;
  height: 320px;
  background-image: url("../../img/footer-entry-bg.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.entry-info-box .info-image {
  width: calc(100% / 3);
}
.entry-info-box .info-text {
  width: calc(100% / 3);
}
.entry-info-box .entry-button-wrap {
  width: calc(100% / 3);
  text-align: center;
}
.entry-info-box .entry-button-wrap .entry-button {
  display: flex;
  width: 200px;
  height: 200px;
  margin: 0 auto;
  border-radius: 50%;
  border: 2px solid var(--color-main);
  align-items: center;
  justify-content: center;
  position: relative;
  font-weight: 500;
  z-index: 1;
  transition: all 0.3s;
}
.entry-info-box .entry-button-wrap .entry-button::before {
  content: "";
  position: absolute;
  top: -7px;
  left: -7px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: rgba(219, 124, 105, 0.25);
  z-index: -1;
  transition: all 0.3s;
}
.entry-info-box .entry-button-wrap .entry-button .arrow {
  position: absolute;
  top: 50%;
  right: -20px;
  width: 50px;
  height: 2px;
  background-color: var(--color-main);
  transform: translateY(-50%);
}
.entry-info-box .entry-button-wrap .entry-button .arrow::before {
  content: "";
  position: absolute;
  right: -2px;
  top: -4px;
  width: 12px;
  height: 2px;
  background-color: var(--color-main);
  transform: rotate(45deg);
}
.entry-info-box .entry-button-wrap .entry-button:hover {
  opacity: 0.8;
}
/* メニューセクション */
footer .footer-container {
  padding: 80px 0 100px;
}
footer .footer-container .left-content {
  width: 300px;
}
footer .footer-container .left-content .footer_logo img {
  width: 80%;
}
footer .footer-container .left-content p {
  font-size: 0.9rem;
  line-height: 1.8;
  margin-top: 1rem;
  color: #fff;
}
footer .footer-container .left-content p a {
  color: #fff;
  text-decoration: none;
}
footer .footer-container .left-content .tel-wrap .tel a {
  display: inline-block;
  font-size: 1.5rem;
  font-weight: 600;
  color: #fff;
  border: 1px solid #fff;
  padding: 5px 16px;
  border-radius: 25px;
  transition: all 0.3s;
  letter-spacing: 0.1rem;
  margin-top: 5px;
}
footer .footer-container .right-content {
  width: calc(100% - 300px);
  padding: 0 0 0 30px;
}
footer .footer-container .right-content ul {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  width: 500px;
  margin-left: auto;
}
footer .footer-container .right-content ul li {
  font-size: 0.9rem;
  line-height: 1.2;
  width: calc((100% - 40px) / 3);
}
footer .footer-container .right-content ul li a {
  color: #fff;
  position: relative;
  transition: all 0.3s;
  padding-left: 30px;
}
footer .footer-container .right-content ul li a::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 22px;
  height: 1px;
  background: #fff;
  transition: all 0.3s;
}
footer .footer-container .right-content ul li a::after {
  content: "";
  position: absolute;
  top: calc(50% - 2px);
  left: 18px;
  width: 5px;
  height: 1px;
  background-color: #fff;
  transform: rotate(45deg);
  transition: all 0.3s;
}
footer .footer-container .right-content ul li a:hover {
  color: var(--color-green);
}
footer .footer-container .right-content ul li a:hover::before {
  background-color: var(--color-green);
}
footer .footer-container .right-content ul li a:hover::after {
  background-color: var(--color-green);
}
footer .copy {
  background-color: var(--color-main);
  padding: 12px 0 30px;
  color: #fff;
  font-size: 0.8rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
footer .copy ul {
  display: flex;
  align-items: center;
  gap: 30px;
}
footer .copy ul li {
  position: relative;
}
footer .copy ul li::before {
  content: "";
  position: absolute;
  left: -15px;
  top: 50%;
  transform: translateY(-50%);
  left: -15px;
  width: 1px;
  height: 12px;
  background-color: #fff;
}
footer .copy ul li:first-child::before {
  display: none;
}
footer .copy ul li a {
  color: #fff;
  transition: all 0.3s;
}
footer .copy ul li a:hover {
  color: var(--color-green);
}
footer .copy .copy-text {
  color: #fff;
}

@media only screen and (max-width: 1080px) {
  footer .footer-inner {
    width: 90%;
    margin: auto;
  }
  footer .footer-inner .footer-container .left-content {
    width: 35%;
    min-width: 290px;
  }
  footer .footer-container .right-content ul {
    width: auto;
    max-width: 350px;
  }
  footer .footer-inner .footer-container .right-content .flex-container {
    flex-wrap: wrap;
    justify-content: left;
  }
  footer .footer-inner .footer-container .right-content .flex-container ul {
    width: 50%;
  }
  footer .entry-info .entry-text {
    font-size: 1.8rem;
  }
  footer .footer-inner {
    padding-top: 70px;
  }
  .entry-info-box {
    max-width: 680px;
    height: 220px;
  }
  .entry-info-box .entry-button-wrap .entry-button {
    width: 170px;
    height: 170px;
    font-size: 0.9rem;
  }
  .entry-info-box .default-title .main-ttl {
    font-size: 1.8rem;
  }
  .entry-info-box .default-title .sub-ttl {
    font-size: 1rem;
    margin-top: 0;
  }
  .entry-info-box .ttl-area .ttl-text {
    margin-top: 10px;
    line-height: 1.8;
    font-size: 0.9rem;
  }
  footer .footer-container .right-content ul li {
    width: calc((100% - 20px) / 2);
  }
  footer .footer-container {
    padding: 40px 0 60px;
  }
}

@media only screen and (max-width: 767px) {
  footer .footer-inner .footer-container {
    flex-direction: column;
    padding: 30px 0 60px;
  }
  footer .footer-inner .footer-container .left-content {
    width: 100%;
    max-width: 320px;
    margin: auto;
  }
  footer .footer-inner .footer-container .left-content p {
    padding-left: 20px;
  }
  footer .footer-inner .footer-container .left-content .site-logo img {
    width: 60%;
  }
  footer .footer-inner .footer-container .right-content {
    width: 100%;
    padding: 20px 0 0;
  }
  footer .footer-inner .footer-container .right-content .flex-container {
    flex-wrap: wrap;
    justify-content: left;
  }
  footer .footer-inner .footer-container .right-content .flex-container ul {
    width: 33.3%;
    padding-left: 1rem;
  }
  footer .footer-inner .footer-container .right-content .flex-container ul:nth-child(even) {
    width: 50%;
  }
  footer .footer-inner .footer-container .right-content .flex-container ul:nth-child(odd) {
    width: 50%;
  }
  footer .footer-bg {
    width: 300%;
    max-width: unset;
  }
  footer .entry-info .entry-text {
    font-size: 1.6rem;
  }
  footer .footer-inner {
    padding-top: 80px;
  }
  footer .entry-info .entry-text::before, 
  footer .entry-info .entry-text::after {
    height: 50px;
  }
  footer .entry-info .entry-text::before {
    left: -30px;
  }
  footer .entry-info .entry-text::after {
    right: -30px;
  }
  footer .entry-info .ttl-area {
    margin-top: 20px;
  }
  footer .entry-info .default-title .main-ttl {
    font-size: 2rem;
    color: #fff;
  }
  footer .entry-info .default-title .sub-ttl {
    font-size: 1rem;
    color: #fff;
    margin-top: 5px;
  }
  footer .entry-info .ttl-area .ttl-text {
    color: #fff;
    margin-top: 10px;
  }
  .entry-info-box {
    height: 200px;
    background-image: url(../../img/footer-entry-bg-sp.png);
    max-width: 337px;
  }
  .entry-info-box .entry-button-wrap {
    width: calc(100% / 2);
  }
  .entry-info-box .entry-button-wrap .entry-button {
    width: 150px;
    height: 150px;
  }
  .entry-info-box .entry-button-wrap .entry-button .arrow {
    right: -10px;
    width: 30px;
  }
  .entry-info-box .entry-button-wrap .entry-button .arrow::before {
    right: -1px;
    top: -3px;
    width: 8px;
    height: 2px;
  }
  footer .footer-inner .footer-container .left-content .footer_logo {
    text-align: center;
  }
  footer .footer-container .left-content .footer_logo img {
    width: 90%;
  }
  footer .footer-container .left-content .tel-wrap .tel {
    text-align: center;
  }
  footer .copy {
    flex-direction: column;
    gap: 15px;
  }
}